Name:          testng
Version:       6.0.1
Release:       %mkrel 1
Summary:       Java-based testing framework
Group:         Development/Java
License:       ASL 2.0
URL:           http://testng.org/
# git clone git://github.com/cbeust/testng.git
# cd testng
# git archive --prefix="testng-6.0.1/" --format=tar testng-6.0.1 | xz > testng-6.0.1.tar.xz
Source0:       testng-6.0.1.tar.xz
Patch0:        testng-test-fails-workaround.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: sonatype-oss-parent

BuildRequires: ant
BuildRequires: beust-jcommander
BuildRequires: bsh2
BuildRequires: google-guice
BuildRequires: junit
BuildRequires: snakeyaml
BuildRequires: aopalliance

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin

Requires:      ant
Requires:      beust-jcommander
Requires:      bsh2
Requires:      google-guice
Requires:      junit
Requires:      snakeyaml

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
TestNG is a testing framework inspired from JUnit and NUnit but introducing
some new functionality, including flexible test configuration, and
distributed test running.  It is designed to cover unit tests as well as
functional, end-to-end, integration, etc.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Development/Java
Requires:       jpackage-utils

%description javadoc
JavaDoc documentation for %{name}


%prep
%setup -q
%patch0 -p1

rm -rf spring
rm -rf 3rdparty
rm -rf doc
rm -rf lib-supplied
rm -rf gigaspaces
rm -rf sandbox
rm -rf examples
rm -f *.jar

# maven-bundle-plugin
sed -i 's/<version>2.1.0/<version>2.0.0/g' pom.xml

sed -i 's/<groupId>ant/<groupId>org.apache.ant/g' pom.xml

sed -i 's/\r//g' README

iconv --from-code=ISO-8859-2 --to-code=UTF-8 ANNOUNCEMENT.txt > ANNOUNCEMENT.txt.utf8
mv -f ANNOUNCEMENT.txt.utf8 ANNOUNCEMENT.txt
iconv --from-code=ISO-8859-2 --to-code=UTF-8 CHANGES.txt > CHANGES.txt.utf8
mv -f CHANGES.txt.utf8 CHANGES.txt

%build

mvn-rpmbuild -Dgpg.skip=true install javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT

# Code
install -d $RPM_BUILD_ROOT%{_javadir}
install -pm644 target/%{name}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# API documentation
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -a target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# Maven stuff
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.%{name} %{name} %{version} JPP %{name}


%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc CHANGES.txt README LICENSE.txt

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Nov 10 2011 gil <gil> 6.0.1-1.mga2
+ Revision: 166107
- New version

* Wed Jan 19 2011 dmorgan <dmorgan> 5.11-1.mga1
+ Revision: 23746
- Fix release
- Add missing file
- New version ( fedora )
- imported package testng


* Thu Jan 15 2009 Götz Waschk <waschk@mandriva.org> 0:5.8-2.0.2mdv2009.1
+ Revision: 329848
- fix postun script

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:5.8-2.0.1mdv2009.0
+ Revision: 265755
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 23 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:5.8-0.0.1mdv2009.0
+ Revision: 196814
- new version

* Thu Feb 07 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:5.6-1.0.1mdv2008.1
+ Revision: 163756
- rebuild

* Sat Jan 26 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:5.6-0.0.1mdv2008.1
+ Revision: 158300
- import testng


